Skip to main content
GET
/
metrics
/
{source}
curl -X GET https://scrape.st/metrics/twitter
{
  "source": "twitter",
  "window_hours": 24,
  "count": {
    "source": 850,
    "internal": 1200
  },
  "source_latency_ms": {
    "p50": 160,
    "p95": 320,
    "p99": 520
  },
  "internal_latency_ms": {
    "p50": 15,
    "p95": 28,
    "p99": 48
  }
}
This endpoint returns performance metrics for a specific data source over the last 24 hours. The source parameter specifies which data source to query metrics for.

Path Parameters

source
string
The data source these metrics belong to.
window_hours
number
The time window for the metrics (always 24 hours).
count
object
Operation counts for the time window.
source_latency_ms
object
Latency percentiles for source operations in milliseconds.
internal_latency_ms
object
Latency percentiles for internal operations in milliseconds.
curl -X GET https://scrape.st/metrics/twitter
{
  "source": "twitter",
  "window_hours": 24,
  "count": {
    "source": 850,
    "internal": 1200
  },
  "source_latency_ms": {
    "p50": 160,
    "p95": 320,
    "p99": 520
  },
  "internal_latency_ms": {
    "p50": 15,
    "p95": 28,
    "p99": 48
  }
}